aboutsummaryrefslogtreecommitdiff
path: root/package/fwts
Commit message (Collapse)AuthorAgeFilesLines
* package/fwts: bump to version 21.02.00Gravatar Vincent Stehlé2021-03-202-3/+3
| | | | | | | | The dates in the copyright file have changed; update the hash accordingly. Signed-off-by: Vincent Stehlé <vincent.stehle@laposte.net> Cc: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/libbsd: needs dynamic libraryGravatar Fabrice Fontaine2021-02-021-2/+3
| | | | | | | | | | | | | | Static linking with libbsd fails because of multiple definition of the strlcpy symbol. uClibc optionally provides these symbols. So add a dependency on dynamic library to avoid a build failure with a zeromq-enabled bitcoin or with stress-ng. Fixes: - http://autobuild.buildroot.org/results/ba87544d42ad5e77a27a7a504bc6336a06f6e291 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
* package/fwts: bump to version 20.08.00Gravatar Fabrice Fontaine2020-10-064-11/+8
| | | | | | | | | | | | | | | | | | | | | | | | | | - Update patch - Update hash of license file (update in year, git.mk added, lintian warning fixed): - https://github.com/ColinIanKing/fwts/commit/2a75afca6f392491bbe8541398d409c459718388 - https://github.com/ColinIanKing/fwts/commit/429c2595847c673515967622787722a0341994bd - https://github.com/ColinIanKing/fwts/commit/bc71a14a4a65a07585a8600c46c85a3a32b92e69 - json-c has been dropped since version 20.08.00 and https://github.com/ColinIanKing/fwts/commit/1a663dd3b37948b84452f5ab20f2ba8a86e3911f - Update indentation in hash file (two spaces) This bump will also fix the following build failure with bison 3.7.1 thanks to https://github.com/ColinIanKing/fwts/commit/cfd5f5870751a796462cdd2f7e41f5f0dabb67b8: libtool: compile: /home/peko/autobuild/instance-1/output-1/host/bin/aarch64-linux-gcc -DHAVE_CONFIG_H -I. -I../.. -Wall -Wstrict-prototypes -fno-strict-aliasing -D_LINUX -DACPI_ASL_COMPILER -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Os -I../acpica/source/include -I../acpica/source/compiler -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Os -c aslcompiler.c -fPIC -DPIC -o .libs/libfwtsiasl_la-aslcompiler.o aslcompiler.tab.c:297:10: fatal error: aslcompiler.tab.h: No such file or directory Fixes: - http://autobuild.buildroot.org/results/3eeb20a24595ab1b790bd770ba745676225ef8b9 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Reviewed-by: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
* package/fwts: bump to version 19.09.00Gravatar Fabrice Fontaine2019-10-053-8/+14
| | | | | | | | | | | - fix up the 'V' prefix in the version: in order for the fwts version to match what is given by release-monitoring.org, the 'V' prefix should be encoded in FWTS_SOURCE and not FWTS_VERSION - Update patch - Add hash for license file Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/libbsd: security bump to version 0.10.0Gravatar Fabrice Fontaine2019-08-121-1/+1
| | | | | | | | | | | | | | | | - Remove patch (already in version) - Update site to get the latest version - Update hash of license file (update in year, new file and author) - Remove !(BR2_TOOLCHAIN_USES_UCLIBC && !BR2_USE_MMU) dependency, __register_at_fork availability is correclty checked since https://gitlab.freedesktop.org/libbsd/libbsd/commit/b0ebb0d4c26b281facbab7a774510b541637b13b - Includes Several security related fixes for nlist() reported by Daniel Hodson and one by Coverity Scan, see https://lists.freedesktop.org/archives/libbsd/2019-August/000229.html Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Acked-by: Yann E. MORIN <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/fwts: add optional bash-completion dependencyGravatar Fabrice Fontaine2019-01-131-0/+1
| | | | | | | | fwts uses the completionsdir variable from bash-completion.pc to decide where to install things. Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* libbsd: needs __register_atforkGravatar Fabrice Fontaine2018-11-291-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | The following error is raised by minizip: [100%] Linking C executable minizip /home/peko/autobuild/instance-0/output/host/m68k-buildroot-uclinux-uclibc/sysroot/usr/lib/libbsd.a(arc4random.o): In function `_rs_init.part.1': arc4random.c:(.text+0xaa): undefined reference to `__register_atfork' collect2: error: ld returned 1 exit status As specified in openssl/Config.in, uClibc on noMMU doesn't provide __register_atfork() so add a dependency on !(BR2_TOOLCHAIN_USES_UCLIBC && !BR2_USE_MMU) on libbsd and minizip Don't add this dependency to netcat-opensd as it already depends on glibc Don't add this dependency to BR2_PACKAGE_BLUEZ_ALSA_HCITOP because bluez-alsa already depends on BR2_USE_MMU Concerning fwts, just update comment on BR2_USE_MMU Fixes: - http://autobuild.buildroot.org/results/df2dcbdceaa01a2ae37bf09140e4dbef0a5b9489 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* fwts: Enable optional efi_runtime kernel module buildGravatar Sumit Garg2018-11-072-0/+17
| | | | | | | | | | Firmware test suite does provides efi_runtime kernel module required to run UEFI tests. So optionally enable this module build. [Peter: fix -/_ in comment as suggested by Erico] Signed-off-by: Sumit Garg <sumit.garg@linaro.org> Reviewed-by: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* fwts: bump to version V18.09.00Gravatar Erico Nunes2018-10-114-14/+20
| | | | | | | | | | | | | Build- and run-tested on x86_64 and aarch64. Rebased -Werror removal patch, it didn't apply anymore because one of the files added a license header at the top. Added libbsd dependency which is required since V18.08.00 for the "bsd/string.h" header. Reordered list of Config.in dependencies to match the toolchain requirements comment order. Signed-off-by: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* boot, package: use SPDX short identifier for LGPLv2.1/LGPLv2.1+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv2.1/LGPLv2.1+ is LGPL-2.1/LGPL-2.1+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv2.1(\+)?/LGPL-2.1\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, linux, package: use SPDX short identifier for GPLv2/GPLv2+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license strings as much as possible. SPDX short identifier for GPLv2/GPLv2+ is GPL-2.0/GPL-2.0+. This change is done by using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv2\>/GPL-2.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* fwts: bump to version V16.11.00Gravatar Erico Nunes2016-12-032-2/+2
| | | | | | | Build- and run-tested on x86_64 and aarch64. Signed-off-by: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* fwts: needs host-bison and host-flexGravatar Erico Nunes2016-10-141-1/+1
| | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/2e6bc77e89868d7a9902123ffb602c5b745d4580 Tested in a minimal debian environment, there should be no missing host package dependencies after these. Signed-off-by: Erico Nunes <nunes.erico@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* fwts: new packageGravatar Erico Nunes2016-10-074-0/+114
Firmware Test Suite (FWTS) is a test suite that performs sanity checks on firmware. It is intended to identify BIOS and ACPI errors and if appropriate it will try to explain the errors and give advice to help workaround or fix firmware bugs. libfdt (dtc) is an optional dependency as fwts checks for it during configure, but will only disable a few tests (dt_base, dt_sysinfo) if it is not available. This has been build-tested in x86, x86_64 and aarch64 and run-tested in x86_64 and aarch64 with EFI firmware. This package has been limited to x86, x86_64 and aarch64 architectures as it fails to build with linking errors related to ACPI functions when building for other architectures. As it is less likely that this will be used for the other architectures, they are disabled for now. Signed-off-by: Erico Nunes <nunes.erico@gmail.com> [Thomas: add missing depends on for the Config.in comment, specify the LGPL version in the license information.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>